Bug 88620 - rpmbuild --rebuild xxx.src.rpm sometimes does not build anything
rpmbuild --rebuild xxx.src.rpm sometimes does not build anything
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 10:46 EDT by Need Real Name
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:44:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-11 10:46:20 EDT
Description of problem:

With some src.rpm files, the command rpmbuild --rebuild produces the following
error message that I never saw before:
error: Package already exists: %package debuginfo
(the package being not installed actually)


Version-Release number of selected component (if applicable):
[root@papeete tmp]# rpm --version
RPM version 4.2


How reproducible:
rpmbuild --rebuild gnome-commander-0.9.12-1.src.rpm


Steps to Reproduce:
1. Download gnome-commander-0.9.12-1.src.rpm from sourceforge
2. rpmbuild --rebuild gnome-commander-0.9.12-1.src.rpm

    
Actual results:
Installing gnome-commander-0.9.12-1.src.rpm
warning: user eljasiak does not exist - using root
warning: group eljasiak does not exist - using root
error: Package already exists: %package debuginfo


Expected results:
gnome-commander-0.9.12-1.i386.rpm
Comment 1 Jeff Johnson 2003-04-14 10:50:41 EDT
Yes, -debuginfo packages are produced during build if redhat-rpm-config
is installed.

Does you specfile have
    %package debuginfo
If so, the name needs to change to something else.

Otherwise, the manner in which redhat-rpm-config is overloading
existing spec file tokens is interfering with that specific
spec file. Try doing
    rpm -e redhat-rpm-config
and rebuilding. If that "works", then you will need to adjust
the spec file to follow redhat-rpm-config conventions.
Comment 2 Need Real Name 2003-04-14 11:06:47 EDT
I checked the presence of %package debuginfo in my .src.rpm. There is nothing
like this.
The package built fine on RH8.0 and RH7.3. 8.0 at least has redhat-rpm-config (I
think 7.3 has it too) and everything went fine then. So now comes the question:

What has changed in the redhat-rpm-config between RH8.0 and RH9?
What has been added? What could be at the origin of my problem?
Is it documented somewhere?

Daniel
Comment 3 Jeff Johnson 2003-04-14 11:40:35 EDT
Does package rebuild if you do
    rpm -e redhat-rpm-config

The -debuginfo is fragile, involves overloading existing
spec file markers like %install and %prep to augment an
existing spec file without any editing. Documented? Surely
you jest ...
Comment 4 Jeremy Katz 2005-04-19 14:44:53 EDT
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.

Note You need to log in before you can comment on or make changes to this bug.